Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1126319 - Squash 3.2 upgrade scripts
Summary: Squash 3.2 upgrade scripts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Eli Mesika
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-04 07:47 UTC by Eli Mesika
Modified: 2016-02-10 19:26 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:09:56 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30971 ovirt-engine-3.5 MERGED core: db squash 3.2 upgrade scripts Never

Description Eli Mesika 2014-08-04 07:47:21 UTC
Description of problem:
Squash 3.2 upgrade scripts.

Each version <X> we need to squash the upgrade scripts of version <X-3> to the main DB creation scripts.
In 3.5 we need to insure that the database created is 3.2 and after that all 3.3 , 3.4 and 3.5 scripts run on top of that DB.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
3.5 version have 03_02_*.sql scripts under packaging/dbscripts/upgrade

Expected results:
3.5 version have no 03_02_*.sql scripts under packaging/dbscripts/upgrade

Additional info:

Comment 1 Petr Beňas 2014-08-07 16:20:47 UTC
[root@pb-rh35 ~]# rpm -qa ovirt-engine-dbscripts
ovirt-engine-dbscripts-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch
[root@pb-rh35 ~]# rpm -ql ovirt-engine-dbscripts | grep /dbscripts/upgrade/ | grep 03_02_
[root@pb-rh35 ~]# rpm -ql ovirt-engine-dbscripts | grep /dbscripts/upgrade/ | wc -l
254

Comment 3 Eyal Edri 2015-02-17 17:09:56 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.